Subject: Re: bug#16403: 24.3.50; Rectangular selection visually disturbing

From: Stefan Monnier <[email-masked]>
Date: Sun, 12 Jan 2014 15:03:11 -0500

>>> I'll will wait for other maintainers to give feedback and apply
>>> this on monday if it's good.
>> It's probably fine for ttys, indeed, but it doesn't solve the problem
>> for GUI frames.
> I thought the behavior in GUI frames was acceptable,

This OP's use-case is a GUI frame.  Daniel pointed out that it's even
worse under ttys.

> Maybe in GUI the visual hint could be a change in the cursor
> shape?  E.g. from box to vbar.

The intention is not just to warn the user that we're in rectangle mode,
but to actually show the boundaries of the 0-width rectangle.

        Stefan